### Method

# Gio Application mark_busy

since: 2.38

#### Declaration

    void
    g_application_mark_busy (
      GApplication* application
    )

#### Description

Increases the busy count of `application`.

Use this function to indicate that the application is busy, for instance while a long running operation is pending.

The busy state will be exposed to other processes, so a session shell will use that information to indicate the state to the user (e.g. with a spinner).

To cancel the busy indication, use g_application_unmark_busy().

The application must be registered before calling this function.

Available since: 2.38